## netrik 1.16.1

=== debian/changelog ===
netrik (1.16.1-4) unstable; urgency=medium

  * QA upload.
  * Use new DH level format. Consequently:
    - d/compat: removed.
    - d/control: changed from 'debhelper' to 'debhelper-compat' in
      Build-Depends field and bumped level to 13.
   * Updated d/rules file:
     - Added compilation option to enable "bindnow" in linker.
     - Removed "--with autoreconf" in the dh call.
     - Updated the encoding of the 'doc/hacking-layout.html' file.
   * d/watch: updated watch file version from 3 to 4.
   * d/control: bumped Standards-Version to 4.6.2.
   * d/control: dropped unnecessary dependency on 'dh-autoreconf'
   * d/control: changed from 'libncursesw5-dev' to 'libncurses-dev'
     in Build-Depends field.
   * debian/patches: created 01-fix-typos-in-manpages.patch
     to fix typos in the manpages.

 -- Aquila Macedo Costa <aquilamacedo@riseup.net>  Tue, 04 Jul 2023 19:26:53 -0300

netrik (1.16.1-3) UNRELEASED; urgency=medium

  * Migrate repository from alioth to salsa.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 27 May 2022 20:22:43 +0100

netrik (1.16.1-2) unstable; urgency=medium

  * QA upload. (See #770237)
    + Set Maintainer to QA group
  * Add collab-maint git repository and according Vcs-* headers.
  * Apply wrap-and-sort.
  * Convert to source format "3.0 (quilt)".
    + Fix AUTHORS.patch to properly convert file to UTF-8.
  * Bump debhelper compatibility to 9 as recommended.
    + Update versioned build-dependency on debhelper accordingly.
  * Rewrite debian/rules with dh v7 style and dh-autoreconf
    + Replace build-dependency on automake with dh-autoreconf
    + Remove debian/Makefile.* and patch out "SUBDIRS = debian"
    + No more delete files from orig.tar.gz in clean target.
    + Use dh_auto_{configure,build,install,clean}
  * Remove no more needed lintian override.
  * Rename all debian/netrik.… files to debian/… for consistency.
  * Declare compliance with Debian Policy 3.9.6.
  * Don't install test suite into binary package. (Also fixes lintian
    warning package-contains-timestamped-gzip.)
  * Install NEWS as upstream changelog instead just as documentation.
  * Fix lintian warning copyright-refers-to-symlink-license.
  * Apply configure.ac patch by Simon Ruderich to properly pass hardening
    flags. (Closes: #656004)
  * Add patch to fix spelling errors found by lintian.
  * Convert debian/copyright to machine-readable DEP-3 format.
  * Update long package description:
    + Add asterisks in front of list items.
    + Remove upstream author name (that's what debian/copyright is for)
    + Mention that there's neither HTTPS nor IPv6 support.

 -- Axel Beckert <abe@debian.org>  Wed, 02 Dec 2015 00:31:56 +0100

netrik (1.16.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Enable hardened build flags (Closes: #656004)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 05 Apr 2012 00:03:52 +0200

netrik (1.16.1-1) unstable; urgency=low

  * new upstream release (Closes: #549095)
  * ack Rhondas NMU
  * changed build-dep to automake
  * bumped standards to 3.8.3 (no changes needed)
  * debian/control: added {misc:Depends}, bumped dh_compat to 7

 -- Edelhard Becker <edelhard@debian.org>  Mon, 05 Oct 2009 21:41:04 +0200

netrik (1.15.7-2.1) unstable; urgency=low

  * Non-maintainer upload to link against libncursesw5 (closes: #504023):
    - Build-Depend on libncursesw5-dev instead of libncurses5.dev.
    - #include <ncursesw/curses.h> instead of <curses.h>.
    - #include <ncursesw/term.h> instead of <term.h>.
    - Use -lncursesw instead of -lncurses in configure.ac.

 -- Gerfried Fuchs <rhonda@debian.at>  Wed, 05 Nov 2008 10:16:58 +0100

netrik (1.15.7-2) unstable; urgency=low

  * aargh: instead of my dumb ad-hoc "solution" use the syntax from
    http://lintian.debian.org/reports/tags/debian-rules-ignores-make-clean-error.html
    in make clean (Closes: #476231)

 -- Edelhard Becker <edelhard@debian.org>  Tue, 15 Apr 2008 11:14:45 +0200

netrik (1.15.7-1) unstable; urgency=low

  * new upstream release
  * fixed watch file to fetch sources from sf.net properly
  * debian/rules: added more stuff to the clean target
  * fixed lintian warnings:
      - debian-rules-ignores-make-clean-error: remove '-'
      - bumped standards to 3.7.3: after menu update
      - moved homepage from description to control field
      - build-depends-on-1-revision: now b-d on libncurses5-dev (>= 5.4)
      - manpage-has-errors-from-man: move '&' to end of previous line
      - package-contains-empty-directory usr/sbin/: no more
      - doc-base-unknown-section: moved to Network/Web Browsing
      - old-fsf-address-in-copyright-file: updated
      - menu-item-uses-apps-section/menu-item-creates-new-section: moved to
        Applications/Network/Web Browsing
  * as of 1.15.4 upstream sends a User-Agent: header (Closes: #349364)

 -- Edelhard Becker <edelhard@debian.org>  Mon, 14 Apr 2008 18:18:45 +0200

netrik (1.15.3-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules
    - fixed FTBFS if built twice in a row (Closes: #424595)
  * debian/control
    - updated build-dep on automake1.4 (Closes: #398313)

 -- Sandro Tosi <matrixhasu@gmail.com>  Sun, 13 Apr 2008 23:50:08 +0200

netrik (1.15.3-1.1) unstable; urgency=high

  * NMU by the Security Team:
  * Sanitise file names to prevent execution of arbitrary shell commands.
    (CVE-2006-6678, patch by Steve Kemp)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 24 Dec 2006 18:12:26 +0100

netrik (1.15.3-1) unstable; urgency=low

  * New upstream release packaged

 -- Edelhard Becker <edelhard@debian.org>  Thu, 30 Dec 2004 01:50:34 +0100

netrik (1.15.3_0) unstable; urgency=low

  * New upstream release
    + fixed a serious HTML parsing bug

 -- antrik <antrik@users.sf.net>  Mon, 20 Dec 2004 23:37:41 +0100

netrik (1.15.2_0) unstable; urgency=low

  * New upstream release
    + updated/improved build system
    + fix various crashes and other bugs


