=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DESTDIR=$(CURDIR)/debian/netrik

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -- docs

override_dh_auto_install:
	dh_auto_install
	rm -f $(CURDIR)/debian/netrik/usr/share/doc/netrik/LICENSE
	rm -f $(CURDIR)/debian/netrik/usr/share/doc/netrik/COPYING
	rm -f $(CURDIR)/debian/netrik/usr/share/doc/netrik/NEWS

override_dh_compress:
	dh_compress -XREADME

override_dh_installchangelogs:
	dh_installchangelogs NEWS

execute_after_dh_installdocs:
	iconv -f ISO-8859-1 -t UTF-8 -o $(DESTDIR)/hacking-layout.html \
		$(DESTDIR)/usr/share/doc/netrik/hacking-layout.html
	mv $(DESTDIR)/hacking-layout.html \
		$(DESTDIR)/usr/share/doc/netrik/hacking-layout.html
