=== debian/watch ===
# Site/Directory/Pattern							Version	Script
version=4
http://sf.net/netrik/netrik-(.*).tar.gz
